Bullet Collision Detection & Physics Library: btEmptyShape Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Protected Attributes | List of all members
btEmptyShape Class Reference

The btEmptyShape is a collision shape without actual collision detection shape, so most users should ignore this class. More...

`#include <btEmptyShape.h>`

Inheritance diagram for btEmptyShape:
[legend]
Collaboration diagram for btEmptyShape:
[legend]

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btEmptyShape ()
virtual | ~btEmptyShape ()
void | getAabb (const btTransform &t, btVector3 &aabbMin, btVector3 &aabbMax) const
| getAabb's default implementation is brute force, expected derived classes to implement a fast dedicated version
virtual void | setLocalScaling (const btVector3 &scaling)
virtual const btVector3 & | getLocalScaling () const
virtual void | calculateLocalInertia (btScalar mass, btVector3 &inertia) const
virtual const char * | getName () const
virtual void | processAllTriangles (btTriangleCallback *, const btVector3 &, const btVector3 &) const
Public Member Functions inherited from btConcaveShape
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btConcaveShape ()
virtual | ~btConcaveShape ()
virtual btScalar | getMargin () const
virtual void | setMargin (btScalar collisionMargin)
Public Member Functions inherited from btCollisionShape
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btCollisionShape ()
virtual | ~btCollisionShape ()
virtual void | getBoundingSphere (btVector3 &center, btScalar &radius) const
virtual btScalar | getAngularMotionDisc () const
| getAngularMotionDisc returns the maximum radius needed for Conservative Advancement to handle time-of-impact with rotations.
virtual btScalar | getContactBreakingThreshold (btScalar defaultContactThresholdFactor) const
void | calculateTemporalAabb (const btTransform &curTrans, const btVector3 &linvel, const btVector3 &angvel, btScalar timeStep, btVector3 &temporalAabbMin, btVector3 &temporalAabbMax) const
| calculateTemporalAabb calculates the enclosing aabb for the moving object over interval [0..timeStep) result is conservative
bool | isPolyhedral () const
bool | isConvex2d () const
bool | isConvex () const
bool | isNonMoving () const
bool | isConcave () const
bool | isCompound () const
bool | isSoftBody () const
bool | isInfinite () const
| isInfinite is used to catch simulation error (aabb check)
int | getShapeType () const
virtual btVector3 | getAnisotropicRollingFrictionDirection () const
| the getAnisotropicRollingFrictionDirection can be used in combination with setAnisotropicFriction See Bullet/Demos/RollingFrictionDemo for an example
void | setUserPointer (void *userPtr)
| optional user data pointer
void * | getUserPointer () const
void | setUserIndex (int index)
int | getUserIndex () const
void | setUserIndex2 (int index)
int | getUserIndex2 () const
virtual int | calculateSerializeBufferSize () const
virtual const char * | serialize (void *dataBuffer, btSerializer *serializer) const
| fills the dataBuffer and returns the struct name (and 0 on failure)
virtual void | serializeSingleShape (btSerializer *serializer) const

## Protected Attributes
btVector3 | m_localScaling
Protected Attributes inherited from btConcaveShape
btScalar | m_collisionMargin
Protected Attributes inherited from btCollisionShape
int | m_shapeType
void * | m_userPointer
int | m_userIndex
int | m_userIndex2

## Detailed Description

The btEmptyShape is a collision shape without actual collision detection shape, so most users should ignore this class.

It can be replaced by another shape during runtime, but the inertia tensor should be recomputed.

Definition at line 28 of file btEmptyShape.h.

## Constructor & Destructor Documentation

## ◆ btEmptyShape()

btEmptyShape::btEmptyShape | ( |  | ) |

Definition at line 20 of file btEmptyShape.cpp.

## ◆ ~btEmptyShape()

btEmptyShape::~btEmptyShape | ( |  | ) |
| virtual

Definition at line 25 of file btEmptyShape.cpp.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btEmptyShape::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## ◆ calculateLocalInertia()

void btEmptyShape::calculateLocalInertia | ( | btScalar | mass,
|  | btVector3 & | inertia ) const
| virtual

Implements btCollisionShape.

Definition at line 39 of file btEmptyShape.cpp.

## ◆ getAabb()

void btEmptyShape::getAabb | ( | const btTransform & | t,
|  | btVector3 & | aabbMin,
|  | btVector3 & | aabbMax ) const
| virtual

getAabb's default implementation is brute force, expected derived classes to implement a fast dedicated version

Implements btCollisionShape.

Definition at line 30 of file btEmptyShape.cpp.

## ◆ getLocalScaling()

virtual const btVector3 & btEmptyShape::getLocalScaling | ( |  | ) | const
| inlinevirtual

Implements btCollisionShape.

Definition at line 45 of file btEmptyShape.h.

## ◆ getName()

virtual const char * btEmptyShape::getName | ( |  | ) | const
| inlinevirtual

Implements btCollisionShape.

Definition at line 52 of file btEmptyShape.h.

## ◆ processAllTriangles()

virtual void btEmptyShape::processAllTriangles | ( | btTriangleCallback * | ,
|  | const btVector3 & | ,
|  | const btVector3 & | ) const
| inlinevirtual

Implements btConcaveShape.

Definition at line 57 of file btEmptyShape.h.

## ◆ setLocalScaling()

virtual void btEmptyShape::setLocalScaling | ( | const btVector3 & | scaling | ) |
| inlinevirtual

Implements btCollisionShape.

Definition at line 41 of file btEmptyShape.h.

## Member Data Documentation

## ◆ m_localScaling

btVector3 btEmptyShape::m_localScaling
| protected

Definition at line 62 of file btEmptyShape.h.

The documentation for this class was generated from the following files:

- btEmptyShape.h
- btEmptyShape.cpp